Bug 204477 - P4 Mobile wrong CPU scaling with 2.6.17 and 2.6.18 FC5 kernels.
P4 Mobile wrong CPU scaling with 2.6.17 and 2.6.18 FC5 kernels.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 09:27 EDT by paolo
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-12 00:45:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paolo 2006-08-29 09:27:26 EDT
Description of problem:

With both Fedora 4 and Fedora 5 and a HP Omnibook xe4500 (P4 mobile 1.7), since
I upgraded the kernel to 2.6.17 the CPU scaling is wrong.

With all the other kernels up to 2.6.16 everything was fine, I used p4_clockmod
with cpuspeed to manage the scaling when the processor was too hot or the laptop
running on batteries.

It seems that in kernel 2.6.17 speedstep-smi driver is compiled in the kernel
and it's loaded by default, preventing me from loading p4-clockmod.

QUOTE:
#cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_driver
speedstep-smi
#/sbin/modprobe p4_clockmod
FATAL: Error inserting p4_clockmod
(/lib/modules/2.6.17-1.2143_FC4/kernel/arch/i386/kernel/cpu/cpufreq/p4-clockmod.ko):
Device or resource busy

speedstep-smi doesn't work well with my processor, it incorrectly sets
cpuinfo_max_freq to 666000 instead of 1700000 and scaling_available_frequencies
to "642000 666000".

p4-clockmod correctly used to set cpuinfo_max_freq to 1700000 and
scaling_available_frequencies to "212500 425000 637500 850000 1062500 1275000
1487500 1700000".

Version-Release number of selected component (if applicable):
The above problem applies to all available 2.6.17 kernels of FC4 and FC5
distributions.

Here is my cpuinfo file:
cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 Mobile CPU 1.70GHz
stepping        : 4
cpu MHz         : 1700.000
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 3403.91

How reproducible:
I'm not sure about that since I don't have a different P4 Mobile machine to test
and googling around for the problem gave me no results it may as well be an
issue with this specific laptop or processor.

Steps to Reproduce:

1. Just update the kernel to any 2.6.17 releases
2.
3.
  
Actual results:
I solved compiling my own kernel from the sources and setting speedstep-smi as
external module.

Expected results:
I would like to see speedstep-smi compiled as loadable module as in previous
kernel versions.

Additional info:
Comment 1 David Lawrence 2006-09-05 11:16:01 EDT
Reassigning to correct owner, kernel-maint.
Comment 2 Dave Jones 2006-10-16 16:07:09 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 paolo 2006-10-17 00:51:01 EDT
I confirm that the bug also affects the 2.6.18 kernel (2.6.18-1.2200.fc5).
Comment 4 Dave Jones 2006-10-17 01:56:01 EDT
ah, I think I see what's broken. I'll get a patch into the next update.
Comment 5 Dave Jones 2006-11-12 00:45:12 EST
should be fixed in 2.6.18-1.2239.fc5 now in updates.
Comment 6 paolo 2006-11-12 00:58:30 EST
Thank You Dave,

I tested FC6 and the bug also affects kernel 2.6.18-1.2798.fc6.

Will this be fixed as well?

Regards,

Paolo.
Comment 7 Dave Jones 2006-11-12 02:21:00 EST
Should be fixed in 2.6.18-1.2849.fc6 for FC6.

Note You need to log in before you can comment on or make changes to this bug.